Loading...
Searching...
No Matches
Opm::EclIO::PaddedOutputString< N > Class Template Reference

Null-terminated, left adjusted, space padded array of N characters. More...

`#include <PaddedOutputString.hpp>`

## Public Member Functions

| PaddedOutputString (const std::string &s)
| PaddedOutputString (const PaddedOutputString &rhs)=default
| PaddedOutputString (PaddedOutputString &&rhs)=default
PaddedOutputString & | operator= (const PaddedOutputString &rhs)=default
PaddedOutputString & | operator= (PaddedOutputString &&rhs)=default
PaddedOutputString & | operator= (const std::string &s)
| Assign from.
const char * | c_str () const

## Detailed Description

template<std::size_t N>
class Opm::EclIO::PaddedOutputString< N >

Null-terminated, left adjusted, space padded array of N characters.

Simple container of character data. Exists solely for purpose of outputting std::string (or types convertible to std::string) as Fortran-style

values.

Template Parameters

  N | Number of characters.

## Member Function Documentation

## operator=()

template<std::size_t N>

PaddedOutputString & Opm::EclIO::PaddedOutputString< N >::operator= | ( | const std::string & | s | ) |

inline

Assign from.

.

The documentation for this class was generated from the following file:

- opm/io/eclipse/PaddedOutputString.hpp